Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ReturnExpImpl

    java.lang.Object
      OCLExpressionImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ReturnExpImpl

All Implemented Interfaces:
  ImperativeExpression, ReturnExp

    public class ReturnExpImpl

extends ImperativeExpressionImpl
implements ReturnExp

An implementation of the model object 'Return Exp'.

The following features are implemented:

- `Value`

Field Summary
`protected OCLExpression` | `value` The cached value of the '`Value`' containment reference

Constructor Summary
`protected` | `ReturnExpImpl()`

Method Summary
`
`<T,U extends > T`
` | `accept(U v)`
`NotificationChain` | `basicSetValue(OCLExpression newValue, NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` | `eStaticClass()`
`void` | `eUnset(int featureID)`
`OCLExpression` | `getValue()`
`void` | `setValue(OCLExpression newValue)`

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeExpressionImpl
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    protected OCLExpression value

  The cached value of the '`Value`' containment reference.

  See Also:
    `getValue()`

Constructor Detail

### ReturnExpImpl

    protected ReturnExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeExpressionImpl`

### getValue

    public OCLExpression getValue()

  Specified by:
    `getValue` in interface `ReturnExp`
  Returns:
    the value of the 'Value' containment reference.
  See Also:
    `ReturnExp.setValue(OCLExpression)`, `ImperativeOCLPackage.getReturnExp_Value()`

### basicSetValue

    public NotificationChain basicSetValue(OCLExpression newValue,
                                           NotificationChain msgs)

### setValue

    public void setValue(OCLExpression newValue)

  Specified by:
    `setValue` in interface `ReturnExp`
  Parameters:
    `newValue` - the new value of the 'Value' containment reference.
  See Also:
    `ReturnExp.getValue()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### accept

    public <T,U extends > T accept(U v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD